commit:     32995503f76220c2473f0adf849c2b8e48ff3caa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  1 03:40:58 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar  1 04:07:17 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32995503

dev-python/testtools: Bump to 2.8.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testtools/Manifest               |  2 ++
 dev-python/testtools/testtools-2.8.5.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index 611e25081325..cf10c3bd8780 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -3,3 +3,5 @@ DIST testtools-2.8.2.tar.gz 206889 BLAKE2B 
4c25e88d5602c00ab9079d5ef504648cf7f59
 DIST testtools-2.8.3.tar.gz 215317 BLAKE2B 
b3247497a492ab2c89e90dd30e2154797bed9a48b43f12a4b28bdd76cf8ee07d38f877f5e3407adc24c9f83473a873a2099aaf450f25fcaf734b0af88e3841fe
 SHA512 
3f91f638d04e7e0d2c5a5723a8ed19e49aaefc7c31cb9db789d97dbc8ff8fdfdc6f924a02c412730451aaae78f7eb1e3ccb80acd9ad87048c9b8fea24b6a3e58
 DIST testtools-2.8.4.tar.gz 219143 BLAKE2B 
a0ddac267ebd0583f53fdec5b74769532708d76b00573fab4355f77fab1b3801c7dc65eb587635b2baf3d426f7f439d41797231d2d028496f63f56f36c4d8f26
 SHA512 
ba60cc64453921e9515cc7c5f04d61cb4e3ce7f0168e1acff564781e8a7392aff9c5306d9b3dca46eb891fb2b0df60847ca429bd926dc1df799c7318567b6b00
 DIST testtools-2.8.4.tar.gz.provenance 9220 BLAKE2B 
32d60cdeb63500a3efdfa722a11a87b85773b45d9ef268bc75518f15fef9db4ab8b6d5201b3207a9dd9dbeaaa2c6cdd73668a78cab0ce9b33bb2b28d80b56fb3
 SHA512 
0d6bdcbdf67a3edaa1ce5c37326b7482837c14f05377fb76c7ec020e7dedf3a11100a295a48753052f1f350a8994ea9bb6bbb4252717ac6a1d5e4d8994f97f14
+DIST testtools-2.8.5.tar.gz 219116 BLAKE2B 
37756680fd2fde4c8595a5e3281b16c913e7169af8a55eebea896ececb2e6a093287cf72abb5117bac377cd1dcf21e45e58a36d1274619d35587fb65d7e65cc8
 SHA512 
39952401f125f08c81a006f1be9df4661132b33864a59df0687311b1705d625230bd340e962a45a2174778c4788d06b6cf07f149d37ed71789df6635a0fe3b1e
+DIST testtools-2.8.5.tar.gz.provenance 9550 BLAKE2B 
a7cb31f7220e2ca87daf341062b5f7c4a74d78c1aa236c41266be129aeb6463e70e873e23cd25fff1b58321cb384317a7ff9296f7bb2e3252384157ecdbfb2ca
 SHA512 
8cab5e5313b8d086ffaebbaad752f22cd275fc8574c89aef58e3623e2bb1679fe3e079ed56e10f7a174992a3db2a9b97ebd7a3c4fbc3eba10917f0f36a938ae0

diff --git a/dev-python/testtools/testtools-2.8.5.ebuild 
b/dev-python/testtools/testtools-2.8.5.ebuild
new file mode 100644
index 000000000000..6a0177e8c455
--- /dev/null
+++ b/dev-python/testtools/testtools-2.8.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/testing-cabal/testtools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+       https://github.com/testing-cabal/testtools/
+       https://pypi.org/project/testtools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+               dev-python/testscenarios[${PYTHON_USEDEP}]
+               dev-python/testresources[${PYTHON_USEDEP}]
+               dev-python/twisted[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx doc
+
+python_test() {
+       if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+               sed -i -e '/twistedsupport/d' tests/test_suite.py || die
+       fi
+
+       "${EPYTHON}" -m testtools.run tests.test_suite ||
+               die "tests failed under ${EPYTHON}"
+}

Reply via email to